Subject: human learning period

From: "[email-masked]" <[email-masked]>
Date: Thu, 16 Jul 1998 21:28:37 -0500

When a new player starts Tron, it takes some time to get used to how the 
controls work. Even though I'd played before, the calculator version 1) 
only let you move left or right from the direction you were heading 2) 
wouldn't let you move opposite the direction you're heading (i.e. now, if 
I'm going up and I press down, I die) and 3) didn't have the wrap; if you 
hit the edge of the screen, you died. Anyways, the point is that, if a bot 
happened to get a new player by chance, it would probably look extra good 
when it really may not be. So maybe it would be best not to count the 
first, say, 100 games for a player. Then your fitness measures would have 
better precision, and your GA's learning rate will improve. I'm not sure - 
maybe you already do something similar. Just a concern you might want to 
consider. good luck